package Visual_DVM_2021.Passes.All;
import _VisualDVM.Current;
import _VisualDVM.Global;
import _VisualDVM.Visual.UI;
public class AppendBugReportComment extends AppendBugReportField {
    @Override
    protected boolean canStart(Object... args) throws Exception {
        return super.canStart("comment",
                UI.getMainWindow().getCallbackWindow().getBugReportCommentAdditionText());
    }
    @Override
    protected void performDone() throws Exception {
        super.performDone();
        UI.getMainWindow().getCallbackWindow().ClearBugReportCommentAdditionText();
    }
    @Override
    protected boolean canUpdate() {
        return Global.mainModule.getAccount().ExtendedCheckAccessRights(target, Log);
    }
}
